<!DOCTYPE html>
<html lang="en">
<head>
    <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=0"/>
    <meta charset="utf-8"/>
    <title>API Documentation &raquo;\PhpOffice\PhpSpreadsheet\Calculation\DateTime</title>
    <meta name="author" content=""/>
    <meta name="description" content=""/>        <link href="../css/template.css" rel="stylesheet" media="all"/>        <!--[if lt IE 9]>
        <script src="https://html5shim.googlecode.com/svn/trunk/html5.js" type="text/javascript"></script>
        <![endif]-->
        <script src="../js/jquery-1.7.1.min.js" type="text/javascript"></script>
        <script src="../js/jquery-ui-1.8.2.custom.min.js" type="text/javascript"></script>
        <script src="../js/jquery.mousewheel.min.js" type="text/javascript"></script>
        <script src="../js/bootstrap.js" type="text/javascript"></script>
        <script src="../js/template.js" type="text/javascript"></script>
        <script src="../js/prettify/prettify.min.js" type="text/javascript"></script>        <link rel="shortcut icon" href="../img/favicon.ico"/>
        <link rel="apple-touch-icon" href="../img/apple-touch-icon.png"/>
        <link rel="apple-touch-icon" sizes="72x72" href="../img/apple-touch-icon-72x72.png"/>
        <link rel="apple-touch-icon" sizes="114x114" href="../img/apple-touch-icon-114x114.png"/></head>
<body>    <div class="navbar navbar-fixed-top">
        <div class="navbar-inner">
            <div class="container">
                <a class="btn btn-navbar" data-toggle="collapse" data-target=".nav-collapse">
                    <span class="icon-bar"></span> <span class="icon-bar"></span>
                    <span class="icon-bar"></span> </a>
                <a class="brand" href="../index.html">API Documentation</a>

                <div class="nav-collapse">
                    <ul class="nav">
                        <li class="dropdown">
                            <a href="#api" class="dropdown-toggle" data-toggle="dropdown">
                                API Documentation <b class="caret"></b>
                            </a>
                            <ul class="dropdown-menu">                                    <li><a>Namespaces</a></li>                                    <li><a href="../namespaces/task_23.html">task_23</a></li>                                    <li><a href="../namespaces/task_18.html">task_18</a></li>                                    <li><a href="../namespaces/task_22.html">task_22</a></li>                                    <li><a href="../namespaces/Composer.html">Composer</a></li>                                    <li><a href="../namespaces/Matrix.html">Matrix</a></li>                                    <li><a href="../namespaces/Complex.html">Complex</a></li>                                    <li><a href="../namespaces/Psr.html">Psr</a></li>                                    <li><a href="../namespaces/PhpOffice.html">PhpOffice</a></li>                                    <li><a href="../namespaces/Samples.html">Samples</a></li>                                    <li><a href="../namespaces/task_21.html">task_21</a></li>                                    <li><a href="../namespaces/task_24.html">task_24</a></li>                                    <li><a href="../namespaces/task_20.html">task_20</a></li>                                    <li><a href="../namespaces/task_17.html">task_17</a></li>                                    <li><a href="../namespaces/task_19.html">task_19</a></li>                            </ul>
                        </li>
                        <li class="dropdown" id="charts-menu">
                            <a href="#charts" class="dropdown-toggle" data-toggle="dropdown">
                                Charts <b class="caret"></b>
                            </a>
                            <ul class="dropdown-menu">
                                <li>
                                    <a href="../graph_class.html">
                                        <i class="icon-list-alt"></i>&#160;Class hierarchy diagram
                                    </a>
                                </li>
                            </ul>
                        </li>
                        <li class="dropdown" id="reports-menu">
                            <a href="#reports" class="dropdown-toggle" data-toggle="dropdown">
                                Reports <b class="caret"></b>
                            </a>
                            <ul class="dropdown-menu">
                                <li>
                                    <a href="../errors.html">
                                        <i class="icon-list-alt"></i>&#160;Errors
                                    </a>
                                </li>
                                <li>
                                    <a href="../markers.html">
                                        <i class="icon-list-alt"></i>&#160;Markers
                                    </a>
                                </li>
                                <li>
                                    <a href="../deprecated.html">
                                        <i class="icon-list-alt"></i>&#160;Deprecated
                                    </a>
                                </li>
                            </ul>
                        </li>
                    </ul>
                </div>
            </div>
        </div>
        <div class="go_to_top">
            <a href="#___" style="color: inherit">Back to top&#160;&#160;<i class="icon-upload icon-white"></i></a>
        </div>
    </div>
    <div id="___" class="container">
        <noscript>
            <div class="alert alert-warning">
                Javascript is disabled; several features are only available if Javascript is enabled.
            </div>
        </noscript>    <style>
        .deprecated h2 {
            text-decoration: line-through;
        }
    </style>
    <div class="row">
        <div class="span4">    <div class="btn-group view pull-right" data-toggle="buttons-radio">
        <button class="btn details" title="Show descriptions and method names"><i class="icon-list"></i></button>
        <button class="btn simple" title="Show only method names"><i class="icon-align-justify"></i></button>
    </div>
    <div class="btn-group visibility" data-toggle="buttons-checkbox">
        <button class="btn public active" title="Show public elements">Public</button>
        <button class="btn protected" title="Show protected elements">Protected</button>
        <button class="btn private" title="Show private elements">Private</button>
        <button class="btn inherited active" title="Show inherited elements">Inherited</button>
    </div>    <ul class="side-nav nav nav-list">
        <li class="nav-header">
            <i class="icon-custom icon-method"></i> Methods
            <ul>    <li class="methodpublic">
        <a href="#method_DATE" title="DATE ::DATE.">
            <span class="description">DATE.</span><pre>DATE</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_DATEDIF" title="DATEDIF ::DATEDIF.">
            <span class="description">DATEDIF.</span><pre>DATEDIF</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_DATENOW" title="DATENOW ::DATENOW.">
            <span class="description">DATENOW.</span><pre>DATENOW</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_DATETIMENOW" title="DATETIMENOW ::DATETIMENOW.">
            <span class="description">DATETIMENOW.</span><pre>DATETIMENOW</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_DATEVALUE" title="DATEVALUE ::DATEVALUE.">
            <span class="description">DATEVALUE.</span><pre>DATEVALUE</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_DAYOFMONTH" title="DAYOFMONTH ::DAYOFMONTH.">
            <span class="description">DAYOFMONTH.</span><pre>DAYOFMONTH</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_DAYS" title="DAYS ::DAYS.">
            <span class="description">DAYS.</span><pre>DAYS</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_DAYS360" title="DAYS360 ::DAYS360.">
            <span class="description">DAYS360.</span><pre>DAYS360</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_EDATE" title="EDATE ::EDATE.">
            <span class="description">EDATE.</span><pre>EDATE</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_EOMONTH" title="EOMONTH ::EOMONTH.">
            <span class="description">EOMONTH.</span><pre>EOMONTH</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getDateValue" title="getDateValue ::getDateValue.">
            <span class="description">getDateValue.</span><pre>getDateValue</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_HOUROFDAY" title="HOUROFDAY ::HOUROFDAY.">
            <span class="description">HOUROFDAY.</span><pre>HOUROFDAY</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_isLeapYear" title="isLeapYear ::Identify if a year is a leap year or not.">
            <span class="description">Identify if a year is a leap year or not.</span><pre>isLeapYear</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_ISOWEEKNUM" title="ISOWEEKNUM ::ISOWEEKNUM.">
            <span class="description">ISOWEEKNUM.</span><pre>ISOWEEKNUM</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_MINUTE" title="MINUTE ::MINUTE.">
            <span class="description">MINUTE.</span><pre>MINUTE</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_MONTHOFYEAR" title="MONTHOFYEAR ::MONTHOFYEAR.">
            <span class="description">MONTHOFYEAR.</span><pre>MONTHOFYEAR</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_NETWORKDAYS" title="NETWORKDAYS ::NETWORKDAYS.">
            <span class="description">NETWORKDAYS.</span><pre>NETWORKDAYS</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_SECOND" title="SECOND ::SECOND.">
            <span class="description">SECOND.</span><pre>SECOND</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_TIME" title="TIME ::TIME.">
            <span class="description">TIME.</span><pre>TIME</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_TIMEVALUE" title="TIMEVALUE ::TIMEVALUE.">
            <span class="description">TIMEVALUE.</span><pre>TIMEVALUE</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_WEEKDAY" title="WEEKDAY ::WEEKDAY.">
            <span class="description">WEEKDAY.</span><pre>WEEKDAY</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_WEEKNUM" title="WEEKNUM ::WEEKNUM.">
            <span class="description">WEEKNUM.</span><pre>WEEKNUM</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_WORKDAY" title="WORKDAY ::WORKDAY.">
            <span class="description">WORKDAY.</span><pre>WORKDAY</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_YEAR" title="YEAR ::YEAR.">
            <span class="description">YEAR.</span><pre>YEAR</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_YEARFRAC" title="YEARFRAC ::YEARFRAC.">
            <span class="description">YEARFRAC.</span><pre>YEARFRAC</pre>
        </a>
    </li>            </ul>
        </li>
        <li class="nav-header protected">» Protected
            <ul>            </ul>
        </li>
        <li class="nav-header private">» Private
            <ul>                        <li class="methodprivate">
                            <a href="#method_adjustDateByMonths" title="adjustDateByMonths ::">
                                <span class="description"></span><pre>adjustDateByMonths</pre>
                            </a>
                        </li>                        <li class="methodprivate">
                            <a href="#method_dateDiff360" title="dateDiff360 ::Return the number of days between two dates based on a 360 day calendar.">
                                <span class="description">Return the number of days between two dates based on a 360 day calendar.</span><pre>dateDiff360</pre>
                            </a>
                        </li>                        <li class="methodprivate">
                            <a href="#method_getTimeValue" title="getTimeValue ::getTimeValue.">
                                <span class="description">getTimeValue.</span><pre>getTimeValue</pre>
                            </a>
                        </li>            </ul>
        </li>
        <li class="nav-header">
            <i class="icon-custom icon-constant"></i> Constants
            <ul>            </ul>
        </li>
    </ul>
        </div>

        <div class="span8">
            <div class="element class">
                <h1>DateTime</h1>
                <small style="display: block; text-align: right">                </small>
                <p class="short_description"></p>
                <div class="details">
                    <div class="long_description">
                    </div>
                    <table class="table table-bordered">                                <tr>
                                    <th>package                                    </th>
                                    <td><p>Default</p>
                                    </td>
                                </tr>                    </table>

                    <h3><i class="icon-custom icon-method"></i> Methods</h3>                        <a id="method_adjustDateByMonths"></a>
                        <div class="element clickable methodprivate method_adjustDateByMonths" data-toggle="collapse" data-target=".method_adjustDateByMonths .collapse">
                            <h2>adjustDateByMonths</h2>
                            <pre>adjustDateByMonths( $dateValue, $adjustmentMonths)</pre>
                            <div class="labels"><span class="label">static</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$dateValue</h4>
                                                <code></code><p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$adjustmentMonths</h4>
                                                <code></code><p></p>
                                            </div>                                </div>
                            </div>

                        </div>                        <a id="method_DATE"></a>
                        <div class="element clickable methodpublic method_DATE" data-toggle="collapse" data-target=".method_DATE .collapse">
                            <h2>DATE.</h2>
                            <pre>DATE(integer $year,integer $month = 1,integer $day = 1): mixed</pre>
                            <div class="labels"><span class="label">static</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"><p>The DATE function returns a value that represents a particular date.</p>
<p>NOTE: When used in a Cell Formula, MS Excel changes the cell format so that it matches the date
format of your regional settings. PhpSpreadsheet does not change cell formatting in this way.</p>
<p>Excel Function:
DATE(year,month,day)</p>
<p>PhpSpreadsheet is a lot more forgiving than MS Excel when passing non numeric values to this function.
A Month name or abbreviation (English only at this point) such as 'January' or 'Jan' will still be accepted,
as will a day value with a suffix (e.g. '21st' rather than simply 21); again only English language.</p></div>

                                    <table class="table">                                            <tr>
                                                <th>category
                                                </th>
                                                <td><p>Date/Time Functions</p>                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$year</h4>
                                                <code>integer</code><p><p>The value of the year argument can include one to four digits.
Excel interprets the year argument according to the configured
date system: 1900 or 1904.
If year is between 0 (zero) and 1899 (inclusive), Excel adds that
value to 1900 to calculate the year. For example, DATE(108,1,2)
returns January 2, 2008 (1900+108).
If year is between 1900 and 9999 (inclusive), Excel uses that
value as the year. For example, DATE(2008,1,2) returns January 2,
2008.
If year is less than 0 or is 10000 or greater, Excel returns the</p>
<h1>NUM! error value.</h1></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$month</h4>
                                                <code>integer</code><p><p>A positive or negative integer representing the month of the year
from 1 to 12 (January to December).
If month is greater than 12, month adds that number of months to
the first month in the year specified. For example, DATE(2008,14,2)
returns the serial number representing February 2, 2009.
If month is less than 1, month subtracts the magnitude of that
number of months, plus 1, from the first month in the year
specified. For example, DATE(2008,-3,2) returns the serial number
representing September 2, 2007.</p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$day</h4>
                                                <code>integer</code><p><p>A positive or negative integer representing the day of the month
from 1 to 31.
If day is greater than the number of days in the month specified,
day adds that number of days to the first day in the month. For
example, DATE(2008,1,35) returns the serial number representing
February 4, 2008.
If day is less than 1, day subtracts the magnitude that number of
days, plus one, from the first day of the month specified. For
example, DATE(2008,1,-15) returns the serial number representing
December 16, 2007.</p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code>mixed</code><p><p>Excel date/time serial value, PHP date/time serial value or PHP date/time object,
depending on the value of the ReturnDateType flag</p></p>                                </div>
                            </div>

                        </div>                        <a id="method_DATEDIF"></a>
                        <div class="element clickable methodpublic method_DATEDIF" data-toggle="collapse" data-target=".method_DATEDIF .collapse">
                            <h2>DATEDIF.</h2>
                            <pre>DATEDIF(mixed $startDate,mixed $endDate,string $unit = &#039;D&#039;): integer|string</pre>
                            <div class="labels"><span class="label">static</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$startDate</h4>
                                                <code>mixed</code><p><p>Excel date serial value, PHP date/time stamp, PHP DateTime object
or a standard date string</p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$endDate</h4>
                                                <code>mixed</code><p><p>Excel date serial value, PHP date/time stamp, PHP DateTime object
or a standard date string</p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$unit</h4>
                                                <code>string</code><p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code>integer|string</code><p><p>Interval between the dates</p></p>                                </div>
                            </div>

                        </div>                        <a id="method_dateDiff360"></a>
                        <div class="element clickable methodprivate method_dateDiff360" data-toggle="collapse" data-target=".method_dateDiff360 .collapse">
                            <h2>Return the number of days between two dates based on a 360 day calendar.</h2>
                            <pre>dateDiff360(integer $startDay,integer $startMonth,integer $startYear,integer $endDay,integer $endMonth,integer $endYear,boolean $methodUS): integer</pre>
                            <div class="labels"><span class="label">static</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$startDay</h4>
                                                <code>integer</code><p><p>Day of month of the start date</p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$startMonth</h4>
                                                <code>integer</code><p><p>Month of the start date</p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$startYear</h4>
                                                <code>integer</code><p><p>Year of the start date</p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$endDay</h4>
                                                <code>integer</code><p><p>Day of month of the start date</p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$endMonth</h4>
                                                <code>integer</code><p><p>Month of the start date</p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$endYear</h4>
                                                <code>integer</code><p><p>Year of the start date</p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$methodUS</h4>
                                                <code>boolean</code><p><p>Whether to use the US method or the European method of calculation</p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code>integer</code><p><p>Number of days between the start date and the end date</p></p>                                </div>
                            </div>

                        </div>                        <a id="method_DATENOW"></a>
                        <div class="element clickable methodpublic method_DATENOW" data-toggle="collapse" data-target=".method_DATENOW .collapse">
                            <h2>DATENOW.</h2>
                            <pre>DATENOW(): mixed</pre>
                            <div class="labels"><span class="label">static</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"><p>Returns the current date.
The NOW function is useful when you need to display the current date and time on a worksheet or
calculate a value based on the current date and time, and have that value updated each time you
open the worksheet.</p>
<p>NOTE: When used in a Cell Formula, MS Excel changes the cell format so that it matches the date
and time format of your regional settings. PhpSpreadsheet does not change cell formatting in this way.</p>
<p>Excel Function:
TODAY()</p></div>

                                    <table class="table">                                            <tr>
                                                <th>category
                                                </th>
                                                <td><p>Date/Time Functions</p>                                                </td>
                                            </tr>                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>mixed</code><p><p>Excel date/time serial value, PHP date/time serial value or PHP date/time object,
depending on the value of the ReturnDateType flag</p></p>                                </div>
                            </div>

                        </div>                        <a id="method_DATETIMENOW"></a>
                        <div class="element clickable methodpublic method_DATETIMENOW" data-toggle="collapse" data-target=".method_DATETIMENOW .collapse">
                            <h2>DATETIMENOW.</h2>
                            <pre>DATETIMENOW(): mixed</pre>
                            <div class="labels"><span class="label">static</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"><p>Returns the current date and time.
The NOW function is useful when you need to display the current date and time on a worksheet or
calculate a value based on the current date and time, and have that value updated each time you
open the worksheet.</p>
<p>NOTE: When used in a Cell Formula, MS Excel changes the cell format so that it matches the date
and time format of your regional settings. PhpSpreadsheet does not change cell formatting in this way.</p>
<p>Excel Function:
NOW()</p></div>

                                    <table class="table">                                            <tr>
                                                <th>category
                                                </th>
                                                <td><p>Date/Time Functions</p>                                                </td>
                                            </tr>                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>mixed</code><p><p>Excel date/time serial value, PHP date/time serial value or PHP date/time object,
depending on the value of the ReturnDateType flag</p></p>                                </div>
                            </div>

                        </div>                        <a id="method_DATEVALUE"></a>
                        <div class="element clickable methodpublic method_DATEVALUE" data-toggle="collapse" data-target=".method_DATEVALUE .collapse">
                            <h2>DATEVALUE.</h2>
                            <pre>DATEVALUE(string $dateValue = 1): mixed</pre>
                            <div class="labels"><span class="label">static</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"><p>Returns a value that represents a particular date.
Use DATEVALUE to convert a date represented by a text string to an Excel or PHP date/time stamp
value.</p>
<p>NOTE: When used in a Cell Formula, MS Excel changes the cell format so that it matches the date
format of your regional settings. PhpSpreadsheet does not change cell formatting in this way.</p>
<p>Excel Function:
DATEVALUE(dateValue)</p></div>

                                    <table class="table">                                            <tr>
                                                <th>category
                                                </th>
                                                <td><p>Date/Time Functions</p>                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$dateValue</h4>
                                                <code>string</code><p><p>Text that represents a date in a Microsoft Excel date format.
For example, &quot;1/30/2008&quot; or &quot;30-Jan-2008&quot; are text strings within
quotation marks that represent dates. Using the default date
system in Excel for Windows, date_text must represent a date from
January 1, 1900, to December 31, 9999. Using the default date
system in Excel for the Macintosh, date_text must represent a date
from January 1, 1904, to December 31, 9999. DATEVALUE returns the</p>
<h1>VALUE! error value if date_text is out of this range.</h1></p>
                                            </div>                                        <h3>Response</h3>
                                        <code>mixed</code><p><p>Excel date/time serial value, PHP date/time serial value or PHP date/time object,
depending on the value of the ReturnDateType flag</p></p>                                </div>
                            </div>

                        </div>                        <a id="method_DAYOFMONTH"></a>
                        <div class="element clickable methodpublic method_DAYOFMONTH" data-toggle="collapse" data-target=".method_DAYOFMONTH .collapse">
                            <h2>DAYOFMONTH.</h2>
                            <pre>DAYOFMONTH(mixed $dateValue = 1): integer|string</pre>
                            <div class="labels"><span class="label">static</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"><p>Returns the day of the month, for a specified date. The day is given as an integer
ranging from 1 to 31.</p>
<p>Excel Function:
DAY(dateValue)</p></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$dateValue</h4>
                                                <code>mixed</code><p><p>Excel date serial value (float), PHP date timestamp (integer),
PHP DateTime object, or a standard date string</p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code>integer|string</code><p><p>Day of the month</p></p>                                </div>
                            </div>

                        </div>                        <a id="method_DAYS"></a>
                        <div class="element clickable methodpublic method_DAYS" data-toggle="collapse" data-target=".method_DAYS .collapse">
                            <h2>DAYS.</h2>
                            <pre>DAYS(\DateTimeImmutable|float|integer|string $endDate,\DateTimeImmutable|float|integer|string $startDate): integer|string</pre>
                            <div class="labels"><span class="label">static</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"><p>Returns the number of days between two dates</p>
<p>Excel Function:
DAYS(endDate, startDate)</p></div>

                                    <table class="table">                                            <tr>
                                                <th>category
                                                </th>
                                                <td><p>Date/Time Functions</p>                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$endDate</h4>
                                                <code>\DateTimeImmutable|float|integer|string</code><p><p>Excel date serial value (float),
PHP date timestamp (integer), PHP DateTime object, or a standard date string</p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$startDate</h4>
                                                <code>\DateTimeImmutable|float|integer|string</code><p><p>Excel date serial value (float),
PHP date timestamp (integer), PHP DateTime object, or a standard date string</p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code>integer|string</code><p><p>Number of days between start date and end date or an error</p></p>                                </div>
                            </div>

                        </div>                        <a id="method_DAYS360"></a>
                        <div class="element clickable methodpublic method_DAYS360" data-toggle="collapse" data-target=".method_DAYS360 .collapse">
                            <h2>DAYS360.</h2>
                            <pre>DAYS360(mixed $startDate,mixed $endDate,boolean $method = false): integer|string</pre>
                            <div class="labels"><span class="label">static</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"><p>Returns the number of days between two dates based on a 360-day year (twelve 30-day months),
which is used in some accounting calculations. Use this function to help compute payments if
your accounting system is based on twelve 30-day months.</p>
<p>Excel Function:
DAYS360(startDate,endDate[,method])</p></div>

                                    <table class="table">                                            <tr>
                                                <th>category
                                                </th>
                                                <td><p>Date/Time Functions</p>                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$startDate</h4>
                                                <code>mixed</code><p><p>Excel date serial value (float), PHP date timestamp (integer),
PHP DateTime object, or a standard date string</p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$endDate</h4>
                                                <code>mixed</code><p><p>Excel date serial value (float), PHP date timestamp (integer),
PHP DateTime object, or a standard date string</p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$method</h4>
                                                <code>boolean</code><p><p>US or European Method
FALSE or omitted: U.S. (NASD) method. If the starting date is
the last day of a month, it becomes equal to the 30th of the
same month. If the ending date is the last day of a month and
the starting date is earlier than the 30th of a month, the
ending date becomes equal to the 1st of the next month;
otherwise the ending date becomes equal to the 30th of the
same month.
TRUE: European method. Starting dates and ending dates that
occur on the 31st of a month become equal to the 30th of the
same month.</p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code>integer|string</code><p><p>Number of days between start date and end date</p></p>                                </div>
                            </div>

                        </div>                        <a id="method_EDATE"></a>
                        <div class="element clickable methodpublic method_EDATE" data-toggle="collapse" data-target=".method_EDATE .collapse">
                            <h2>EDATE.</h2>
                            <pre>EDATE(mixed $dateValue = 1,integer $adjustmentMonths): mixed</pre>
                            <div class="labels"><span class="label">static</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"><p>Returns the serial number that represents the date that is the indicated number of months
before or after a specified date (the start_date).
Use EDATE to calculate maturity dates or due dates that fall on the same day of the month
as the date of issue.</p>
<p>Excel Function:
EDATE(dateValue,adjustmentMonths)</p></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$dateValue</h4>
                                                <code>mixed</code><p><p>Excel date serial value (float), PHP date timestamp (integer),
PHP DateTime object, or a standard date string</p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$adjustmentMonths</h4>
                                                <code>integer</code><p><p>The number of months before or after start_date.
A positive value for months yields a future date;
a negative value yields a past date.</p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code>mixed</code><p><p>Excel date/time serial value, PHP date/time serial value or PHP date/time object,
depending on the value of the ReturnDateType flag</p></p>                                </div>
                            </div>

                        </div>                        <a id="method_EOMONTH"></a>
                        <div class="element clickable methodpublic method_EOMONTH" data-toggle="collapse" data-target=".method_EOMONTH .collapse">
                            <h2>EOMONTH.</h2>
                            <pre>EOMONTH(mixed $dateValue = 1,integer $adjustmentMonths): mixed</pre>
                            <div class="labels"><span class="label">static</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"><p>Returns the date value for the last day of the month that is the indicated number of months
before or after start_date.
Use EOMONTH to calculate maturity dates or due dates that fall on the last day of the month.</p>
<p>Excel Function:
EOMONTH(dateValue,adjustmentMonths)</p></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$dateValue</h4>
                                                <code>mixed</code><p><p>Excel date serial value (float), PHP date timestamp (integer),
PHP DateTime object, or a standard date string</p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$adjustmentMonths</h4>
                                                <code>integer</code><p><p>The number of months before or after start_date.
A positive value for months yields a future date;
a negative value yields a past date.</p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code>mixed</code><p><p>Excel date/time serial value, PHP date/time serial value or PHP date/time object,
depending on the value of the ReturnDateType flag</p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getDateValue"></a>
                        <div class="element clickable methodpublic method_getDateValue" data-toggle="collapse" data-target=".method_getDateValue .collapse">
                            <h2>getDateValue.</h2>
                            <pre>getDateValue(string $dateValue): mixed</pre>
                            <div class="labels"><span class="label">static</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$dateValue</h4>
                                                <code>string</code><p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code>mixed</code><p><p>Excel date/time serial value, or string if error</p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getTimeValue"></a>
                        <div class="element clickable methodprivate method_getTimeValue" data-toggle="collapse" data-target=".method_getTimeValue .collapse">
                            <h2>getTimeValue.</h2>
                            <pre>getTimeValue(string $timeValue): mixed</pre>
                            <div class="labels"><span class="label">static</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$timeValue</h4>
                                                <code>string</code><p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code>mixed</code><p><p>Excel date/time serial value, or string if error</p></p>                                </div>
                            </div>

                        </div>                        <a id="method_HOUROFDAY"></a>
                        <div class="element clickable methodpublic method_HOUROFDAY" data-toggle="collapse" data-target=".method_HOUROFDAY .collapse">
                            <h2>HOUROFDAY.</h2>
                            <pre>HOUROFDAY(mixed $timeValue): integer|string</pre>
                            <div class="labels"><span class="label">static</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"><p>Returns the hour of a time value.
The hour is given as an integer, ranging from 0 (12:00 A.M.) to 23 (11:00 P.M.).</p>
<p>Excel Function:
HOUR(timeValue)</p></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$timeValue</h4>
                                                <code>mixed</code><p><p>Excel date serial value (float), PHP date timestamp (integer),
PHP DateTime object, or a standard time string</p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code>integer|string</code><p><p>Hour</p></p>                                </div>
                            </div>

                        </div>                        <a id="method_isLeapYear"></a>
                        <div class="element clickable methodpublic method_isLeapYear" data-toggle="collapse" data-target=".method_isLeapYear .collapse">
                            <h2>Identify if a year is a leap year or not.</h2>
                            <pre>isLeapYear(integer|string $year): boolean</pre>
                            <div class="labels"><span class="label">static</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$year</h4>
                                                <code>integer|string</code><p><p>The year to test</p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code>boolean</code><p><p>TRUE if the year is a leap year, otherwise FALSE</p></p>                                </div>
                            </div>

                        </div>                        <a id="method_ISOWEEKNUM"></a>
                        <div class="element clickable methodpublic method_ISOWEEKNUM" data-toggle="collapse" data-target=".method_ISOWEEKNUM .collapse">
                            <h2>ISOWEEKNUM.</h2>
                            <pre>ISOWEEKNUM(mixed $dateValue = 1): integer|string</pre>
                            <div class="labels"><span class="label">static</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"><p>Returns the ISO 8601 week number of the year for a specified date.</p>
<p>Excel Function:
ISOWEEKNUM(dateValue)</p></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$dateValue</h4>
                                                <code>mixed</code><p><p>Excel date serial value (float), PHP date timestamp (integer),
PHP DateTime object, or a standard date string</p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code>integer|string</code><p><p>Week Number</p></p>                                </div>
                            </div>

                        </div>                        <a id="method_MINUTE"></a>
                        <div class="element clickable methodpublic method_MINUTE" data-toggle="collapse" data-target=".method_MINUTE .collapse">
                            <h2>MINUTE.</h2>
                            <pre>MINUTE(mixed $timeValue): integer|string</pre>
                            <div class="labels"><span class="label">static</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"><p>Returns the minutes of a time value.
The minute is given as an integer, ranging from 0 to 59.</p>
<p>Excel Function:
MINUTE(timeValue)</p></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$timeValue</h4>
                                                <code>mixed</code><p><p>Excel date serial value (float), PHP date timestamp (integer),
PHP DateTime object, or a standard time string</p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code>integer|string</code><p><p>Minute</p></p>                                </div>
                            </div>

                        </div>                        <a id="method_MONTHOFYEAR"></a>
                        <div class="element clickable methodpublic method_MONTHOFYEAR" data-toggle="collapse" data-target=".method_MONTHOFYEAR .collapse">
                            <h2>MONTHOFYEAR.</h2>
                            <pre>MONTHOFYEAR(mixed $dateValue = 1): integer|string</pre>
                            <div class="labels"><span class="label">static</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"><p>Returns the month of a date represented by a serial number.
The month is given as an integer, ranging from 1 (January) to 12 (December).</p>
<p>Excel Function:
MONTH(dateValue)</p></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$dateValue</h4>
                                                <code>mixed</code><p><p>Excel date serial value (float), PHP date timestamp (integer),
PHP DateTime object, or a standard date string</p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code>integer|string</code><p><p>Month of the year</p></p>                                </div>
                            </div>

                        </div>                        <a id="method_NETWORKDAYS"></a>
                        <div class="element clickable methodpublic method_NETWORKDAYS" data-toggle="collapse" data-target=".method_NETWORKDAYS .collapse">
                            <h2>NETWORKDAYS.</h2>
                            <pre>NETWORKDAYS(mixed $startDate,mixed $endDate, $dateArgs): integer|string</pre>
                            <div class="labels"><span class="label">static</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"><p>Returns the number of whole working days between start_date and end_date. Working days
exclude weekends and any dates identified in holidays.
Use NETWORKDAYS to calculate employee benefits that accrue based on the number of days
worked during a specific term.</p>
<p>Excel Function:
NETWORKDAYS(startDate,endDate[,holidays[,holiday[,...]]])</p></div>

                                    <table class="table">                                            <tr>
                                                <th>category
                                                </th>
                                                <td><p>Date/Time Functions</p>                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$startDate</h4>
                                                <code>mixed</code><p><p>Excel date serial value (float), PHP date timestamp (integer),
PHP DateTime object, or a standard date string</p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$endDate</h4>
                                                <code>mixed</code><p><p>Excel date serial value (float), PHP date timestamp (integer),
PHP DateTime object, or a standard date string</p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$dateArgs</h4>
                                                <code></code><p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code>integer|string</code><p><p>Interval between the dates</p></p>                                </div>
                            </div>

                        </div>                        <a id="method_SECOND"></a>
                        <div class="element clickable methodpublic method_SECOND" data-toggle="collapse" data-target=".method_SECOND .collapse">
                            <h2>SECOND.</h2>
                            <pre>SECOND(mixed $timeValue): integer|string</pre>
                            <div class="labels"><span class="label">static</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"><p>Returns the seconds of a time value.
The second is given as an integer in the range 0 (zero) to 59.</p>
<p>Excel Function:
SECOND(timeValue)</p></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$timeValue</h4>
                                                <code>mixed</code><p><p>Excel date serial value (float), PHP date timestamp (integer),
PHP DateTime object, or a standard time string</p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code>integer|string</code><p><p>Second</p></p>                                </div>
                            </div>

                        </div>                        <a id="method_TIME"></a>
                        <div class="element clickable methodpublic method_TIME" data-toggle="collapse" data-target=".method_TIME .collapse">
                            <h2>TIME.</h2>
                            <pre>TIME(integer $hour,integer $minute,integer $second): mixed</pre>
                            <div class="labels"><span class="label">static</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"><p>The TIME function returns a value that represents a particular time.</p>
<p>NOTE: When used in a Cell Formula, MS Excel changes the cell format so that it matches the time
format of your regional settings. PhpSpreadsheet does not change cell formatting in this way.</p>
<p>Excel Function:
TIME(hour,minute,second)</p></div>

                                    <table class="table">                                            <tr>
                                                <th>category
                                                </th>
                                                <td><p>Date/Time Functions</p>                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$hour</h4>
                                                <code>integer</code><p><p>A number from 0 (zero) to 32767 representing the hour.
Any value greater than 23 will be divided by 24 and the remainder
will be treated as the hour value. For example, TIME(27,0,0) =
TIME(3,0,0) = .125 or 3:00 AM.</p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$minute</h4>
                                                <code>integer</code><p><p>A number from 0 to 32767 representing the minute.
Any value greater than 59 will be converted to hours and minutes.
For example, TIME(0,750,0) = TIME(12,30,0) = .520833 or 12:30 PM.</p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$second</h4>
                                                <code>integer</code><p><p>A number from 0 to 32767 representing the second.
Any value greater than 59 will be converted to hours, minutes,
and seconds. For example, TIME(0,0,2000) = TIME(0,33,22) = .023148
or 12:33:20 AM</p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code>mixed</code><p><p>Excel date/time serial value, PHP date/time serial value or PHP date/time object,
depending on the value of the ReturnDateType flag</p></p>                                </div>
                            </div>

                        </div>                        <a id="method_TIMEVALUE"></a>
                        <div class="element clickable methodpublic method_TIMEVALUE" data-toggle="collapse" data-target=".method_TIMEVALUE .collapse">
                            <h2>TIMEVALUE.</h2>
                            <pre>TIMEVALUE(string $timeValue): mixed</pre>
                            <div class="labels"><span class="label">static</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"><p>Returns a value that represents a particular time.
Use TIMEVALUE to convert a time represented by a text string to an Excel or PHP date/time stamp
value.</p>
<p>NOTE: When used in a Cell Formula, MS Excel changes the cell format so that it matches the time
format of your regional settings. PhpSpreadsheet does not change cell formatting in this way.</p>
<p>Excel Function:
TIMEVALUE(timeValue)</p></div>

                                    <table class="table">                                            <tr>
                                                <th>category
                                                </th>
                                                <td><p>Date/Time Functions</p>                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$timeValue</h4>
                                                <code>string</code><p><p>A text string that represents a time in any one of the Microsoft
Excel time formats; for example, &quot;6:45 PM&quot; and &quot;18:45&quot; text strings
within quotation marks that represent time.
Date information in time_text is ignored.</p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code>mixed</code><p><p>Excel date/time serial value, PHP date/time serial value or PHP date/time object,
depending on the value of the ReturnDateType flag</p></p>                                </div>
                            </div>

                        </div>                        <a id="method_WEEKDAY"></a>
                        <div class="element clickable methodpublic method_WEEKDAY" data-toggle="collapse" data-target=".method_WEEKDAY .collapse">
                            <h2>WEEKDAY.</h2>
                            <pre>WEEKDAY(integer $dateValue = 1,integer $style = 1): integer|string</pre>
                            <div class="labels"><span class="label">static</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"><p>Returns the day of the week for a specified date. The day is given as an integer
ranging from 0 to 7 (dependent on the requested style).</p>
<p>Excel Function:
WEEKDAY(dateValue[,style])</p></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$dateValue</h4>
                                                <code>integer</code><p><p>Excel date serial value (float), PHP date timestamp (integer),
PHP DateTime object, or a standard date string</p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$style</h4>
                                                <code>integer</code><p><p>A number that determines the type of return value
1 or omitted    Numbers 1 (Sunday) through 7 (Saturday).
2                Numbers 1 (Monday) through 7 (Sunday).
3                Numbers 0 (Monday) through 6 (Sunday).</p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code>integer|string</code><p><p>Day of the week value</p></p>                                </div>
                            </div>

                        </div>                        <a id="method_WEEKNUM"></a>
                        <div class="element clickable methodpublic method_WEEKNUM" data-toggle="collapse" data-target=".method_WEEKNUM .collapse">
                            <h2>WEEKNUM.</h2>
                            <pre>WEEKNUM(mixed $dateValue = 1,integer $method = 1): integer|string</pre>
                            <div class="labels"><span class="label">static</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"><p>Returns the week of the year for a specified date.
The WEEKNUM function considers the week containing January 1 to be the first week of the year.
However, there is a European standard that defines the first week as the one with the majority
of days (four or more) falling in the new year. This means that for years in which there are
three days or less in the first week of January, the WEEKNUM function returns week numbers
that are incorrect according to the European standard.</p>
<p>Excel Function:
WEEKNUM(dateValue[,style])</p></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$dateValue</h4>
                                                <code>mixed</code><p><p>Excel date serial value (float), PHP date timestamp (integer),
PHP DateTime object, or a standard date string</p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$method</h4>
                                                <code>integer</code><p><p>Week begins on Sunday or Monday
1 or omitted    Week begins on Sunday.
2                Week begins on Monday.</p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code>integer|string</code><p><p>Week Number</p></p>                                </div>
                            </div>

                        </div>                        <a id="method_WORKDAY"></a>
                        <div class="element clickable methodpublic method_WORKDAY" data-toggle="collapse" data-target=".method_WORKDAY .collapse">
                            <h2>WORKDAY.</h2>
                            <pre>WORKDAY(mixed $startDate,integer $endDays, $dateArgs): mixed</pre>
                            <div class="labels"><span class="label">static</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"><p>Returns the date that is the indicated number of working days before or after a date (the
starting date). Working days exclude weekends and any dates identified as holidays.
Use WORKDAY to exclude weekends or holidays when you calculate invoice due dates, expected
delivery times, or the number of days of work performed.</p>
<p>Excel Function:
WORKDAY(startDate,endDays[,holidays[,holiday[,...]]])</p></div>

                                    <table class="table">                                            <tr>
                                                <th>category
                                                </th>
                                                <td><p>Date/Time Functions</p>                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$startDate</h4>
                                                <code>mixed</code><p><p>Excel date serial value (float), PHP date timestamp (integer),
PHP DateTime object, or a standard date string</p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$endDays</h4>
                                                <code>integer</code><p><p>The number of nonweekend and nonholiday days before or after
startDate. A positive value for days yields a future date; a
negative value yields a past date.</p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$dateArgs</h4>
                                                <code></code><p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code>mixed</code><p><p>Excel date/time serial value, PHP date/time serial value or PHP date/time object,
depending on the value of the ReturnDateType flag</p></p>                                </div>
                            </div>

                        </div>                        <a id="method_YEAR"></a>
                        <div class="element clickable methodpublic method_YEAR" data-toggle="collapse" data-target=".method_YEAR .collapse">
                            <h2>YEAR.</h2>
                            <pre>YEAR(mixed $dateValue = 1): integer|string</pre>
                            <div class="labels"><span class="label">static</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"><p>Returns the year corresponding to a date.
The year is returned as an integer in the range 1900-9999.</p>
<p>Excel Function:
YEAR(dateValue)</p></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$dateValue</h4>
                                                <code>mixed</code><p><p>Excel date serial value (float), PHP date timestamp (integer),
PHP DateTime object, or a standard date string</p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code>integer|string</code><p><p>Year</p></p>                                </div>
                            </div>

                        </div>                        <a id="method_YEARFRAC"></a>
                        <div class="element clickable methodpublic method_YEARFRAC" data-toggle="collapse" data-target=".method_YEARFRAC .collapse">
                            <h2>YEARFRAC.</h2>
                            <pre>YEARFRAC(mixed $startDate,mixed $endDate,integer $method): float</pre>
                            <div class="labels"><span class="label">static</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"><p>Calculates the fraction of the year represented by the number of whole days between two dates
(the start_date and the end_date).
Use the YEARFRAC worksheet function to identify the proportion of a whole year's benefits or
obligations to assign to a specific term.</p>
<p>Excel Function:
YEARFRAC(startDate,endDate[,method])</p></div>

                                    <table class="table">                                            <tr>
                                                <th>category
                                                </th>
                                                <td><p>Date/Time Functions</p>                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$startDate</h4>
                                                <code>mixed</code><p><p>Excel date serial value (float), PHP date timestamp (integer),
PHP DateTime object, or a standard date string</p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$endDate</h4>
                                                <code>mixed</code><p><p>Excel date serial value (float), PHP date timestamp (integer),
PHP DateTime object, or a standard date string</p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$method</h4>
                                                <code>integer</code><p><p>Method used for the calculation
0 or omitted    US (NASD) 30/360
1                Actual/actual
2                Actual/360
3                Actual/365
4                European 30/360</p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code>float</code><p><p>fraction of the year</p></p>                                </div>
                            </div>

                        </div>                </div>
            </div>
            <a id="\PhpOffice\PhpSpreadsheet\Calculation\DateTime"></a>
            <ul class="breadcrumb">
                <li><a href="../index.html"><i class="icon-custom icon-class"></i></a></li>
    <li><span class="divider">\</span><a href="../namespaces/PhpOffice.PhpSpreadsheet.Calculation.html">Calculation</a></li>
                <li class="active"><span class="divider">\</span><a href="../classes/PhpOffice.PhpSpreadsheet.Calculation.DateTime.html">DateTime</a></li>
            </ul>
        </div>
    </div>    </div>    <footer class="span12">
            Template is built using <a href="http://twitter.github.com/bootstrap/">Twitter Bootstrap 2</a> and icons provided by
            <a href="http://glyphicons.com/">Glyphicons</a>.<br/>
            Documentation is powered by <a href="http://www.phpdoc.org/">phpDocumentor</a> and<br/>
            generated onFri, 14 Feb 2020 19:36:48 +0000.<br/>
    </footer></body>
</html>
